Index: /trunk/LMDZ.TITAN/libf/phytitan/callsedim.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/callsedim.F	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/callsedim.F	(revision 1647)
@@ -4,9 +4,6 @@
 
       use radinc_h, only : naerkind
-      use radii_mod, only: h2o_reffrad
-      use aerosol_mod, only : iaero_h2o
-      USE tracer_h, only : igcm_co2_ice,igcm_h2o_ice,radius,rho_q
+      USE tracer_h, only : radius, rho_q
       use comcstfi_mod, only: g
-      use callkeys_mod, only : water
 
       IMPLICIT NONE
@@ -62,5 +59,4 @@
       real epaisseur (ngrid,nlay) ! Layer thickness (m)
       real wq(ngrid,nlay+1) ! displaced tracer mass (kg.m-2)
-c      real dens(ngrid,nlay) ! Mean density of the ice part. accounting for dust core
 
 
@@ -73,17 +69,4 @@
       IF (firstcall) THEN
         firstcall=.false.
-        ! add some tests on presence of required tracers/aerosols:
-        if (water) then
-          if (igcm_h2o_ice.eq.0) then
-            write(*,*) "callsedim error: water=.true.",
-     &                 " but igcm_h2o_ice=0"
-          stop
-          endif
-          if (iaero_h2o.eq.0) then
-            write(*,*) "callsedim error: water=.true.",
-     &                 " but iaero_ho2=0"
-          stop
-          endif
-        endif
       ENDIF ! of IF (firstcall)
       
@@ -106,6 +89,6 @@
  
       do iq=1,nq
-       if((radius(iq).gt.1.e-9).and.(iq.ne.igcm_co2_ice)) then   
-!         (no sedim for gases, and co2_ice sedim is done in condense_co2)      
+       if(radius(iq).gt.1.e-9) then   
+!         (no sedim for gases)      
 
 ! store locally updated tracers
@@ -120,20 +103,8 @@
 ! Sedimentation 
 !======================================================================
-! Water          
-          if (water.and.(iq.eq.igcm_h2o_ice)) then
-            ! compute radii for h2o_ice 
-             call h2o_reffrad(ngrid,nlay,zqi(1,1,igcm_h2o_ice),zt,
-     &                reffrad(1,1,iaero_h2o),nueffrad(1,1,iaero_h2o))
-            ! call sedimentation for h2o_ice
-             call newsedim(ngrid,nlay,ngrid*nlay,ptimestep,
-     &            pplev,masse,epaisseur,zt,reffrad(1,1,iaero_h2o),
-     &            rho_q(iq),zqi(1,1,igcm_h2o_ice),wq)
-
 ! General Case
-          else 
              call newsedim(ngrid,nlay,1,ptimestep,
      &            pplev,masse,epaisseur,zt,radius(iq),rho_q(iq),
      &            zqi(1,1,iq),wq)
-          endif
 
 !=======================================================================
@@ -152,5 +123,5 @@
             ENDDO
           ENDDO
-       endif ! of no gases no co2_ice
+       endif ! of no gases
       enddo ! of do iq=1,nq
       return
Index: /trunk/LMDZ.TITAN/libf/phytitan/comsoil_h.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/comsoil_h.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/comsoil_h.F90	(revision 1647)
@@ -8,5 +8,5 @@
 ! Full soil layer depths are set as: layer(k)=lay1_soil*alpha_soil**(k-1) , k=1,nsoil
 ! Mid soil layer depths are set as: mlayer(k)=lay1_soil*alpha_soil**(k-1/2) , k=0,nsoil-1 
-  real,save :: lay1_soil=2.e-4 ! depth (m) of first full soil layer (may be set in callphys.def)
+  real,save :: lay1_soil=2.e-3 ! depth (m) of first full soil layer (may be set in callphys.def)
   real,save :: alpha_soil=2 ! coefficient for soil layer thickness (may be set in callphys.def)
 !$OMP THREADPRIVATE(nsoilmx,lay1_soil,alpha_soil)
Index: /trunk/LMDZ.TITAN/libf/phytitan/convadj.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/convadj.F	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/convadj.F	(revision 1647)
@@ -8,5 +8,5 @@
       USE tracer_h
       use comcstfi_mod, only: g
-      use callkeys_mod, only: tracer,water
+      use callkeys_mod, only: tracer
 
       implicit none
@@ -16,7 +16,5 @@
 !     Purpose
 !     -------
-!     Calculates dry convective adjustment. If one tracer is CO2,
-!     we take into account the molecular mass variation (e.g. when
-!     CO2 condenses) to trigger convection (F. Forget 01/2005)
+!     Calculates dry convective adjustment.
 !
 !     Authors
@@ -62,10 +60,8 @@
 
 !     Tracers
-      INTEGER iq,ico2
-      save ico2
-!$OMP THREADPRIVATE(ico2)
+      INTEGER iq
       REAL zq(ngrid,nlay,nq), zq2(ngrid,nlay,nq)
-      REAL zqm(nq),zqco2m
-      real m_co2, m_noco2, A , B
+      REAL zqm(nq)
+      real A , B
       save A, B
 !$OMP THREADPRIVATE(A,B)
@@ -73,5 +69,5 @@
       real mtot1, mtot2 , mm1, mm2
        integer l1ref, l2ref
-      LOGICAL vtest(ngrid),down,firstcall
+      LOGICAL vtest(ngrid),down, firstcall
       save firstcall
       data firstcall/.true./
@@ -88,26 +84,7 @@
 
       IF (firstcall) THEN 
-        ico2=0
-        if (tracer) then
-!     Prepare Special treatment if one of the tracers is CO2 gas
-           do iq=1,nq
-             if (noms(iq).eq."co2") then
-                print*,'dont go there'
-                stop
-                ico2=iq
-                m_co2 = 44.01E-3  ! CO2 molecular mass (kg/mol)   
-                m_noco2 = 33.37E-3  ! Non condensible mol mass (kg/mol)   
-!               Compute A and B coefficient use to compute
-!               mean molecular mass Mair defined by
-!               1/Mair = q(ico2)/m_co2 + (1-q(ico2))/m_noco2
-!               1/Mair = A*q(ico2) + B
-                A =(1/m_co2 - 1/m_noco2)
-                B=1/m_noco2
-             end if
-           enddo
-        endif
         firstcall=.false.
       ENDIF ! of IF (firstcall)
-
+      
       DO l=1,nlay
          DO ig=1,ngrid
@@ -142,14 +119,5 @@
       ENDDO
 
-      if (ico2.ne.0) then
-!     Special case if one of the tracers is CO2 gas
-         DO l=1,nlay
-           DO ig=1,ngrid
-             zhc(ig,l) = zh2(ig,l)*(A*zq2(ig,l,ico2)+B)
-           ENDDO
-         ENDDO
-       else
-          CALL scopy(ngrid*nlay,zh2,1,zhc,1)
-       end if
+      CALL scopy(ngrid*nlay,zh2,1,zhc,1)
 
 !     Find out which grid points are convectively unstable
@@ -203,5 +171,4 @@
               zdsm = dsig(l2)
               zhm = zh2(i, l2)
-              if(ico2.ne.0) zqco2m = zq2(i,l2,ico2)
 
 !     Test loop downwards
@@ -211,11 +178,5 @@
                 zdsm = zdsm + dsig(l)
                 zhm = zhm + sdsig(l) * (zh2(i, l) - zhm) / zsm
-                if(ico2.ne.0) then
-                  zqco2m = 
-     &            zqco2m + dsig(l) * (zq2(i,l,ico2) - zqco2m) / zdsm
-                  zhmc = zhm*(A*zqco2m+B)
-                else 
-                  zhmc = zhm
-                end if
+                zhmc = zhm
  
 !     do we have to extend the column downwards?
@@ -260,10 +221,5 @@
               end do
               DO l = l1, l2
-                if(ico2.ne.0) then
-                  zalpha=zalpha+
-     &            ABS(zhc(i,l)/(A+B*zqco2m) -zhm)*dsig(l)
-                else
-                  zalpha=zalpha+ABS(zh2(i,l)-zhm)*dsig(l)
-                endif
+                zalpha=zalpha+ABS(zh2(i,l)-zhm)*dsig(l)
                 zh2(i, l) = zhm
 !     modifs by RDW !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -306,9 +262,4 @@
                  end do
               ENDDO
-              if (ico2.ne.0) then
-                DO l=l1, l2
-                  zhc(i,l) = zh2(i,l)*(A*zq2(i,l,ico2)+B)
-                ENDDO
-              end if
 
 
@@ -324,12 +275,4 @@
 !     check conservation
          cadjncons=0.0
-         if(water)then
-         do l = 1, nlay
-            masse = (pplev(i,l) - pplev(i,l+1))/g
-            iq    = igcm_h2o_vap
-            cadjncons = cadjncons + 
-     &           masse*(zq2(i,l,iq)-zq(i,l,iq))/ptimestep 
-         end do
-         endif
 
          if(cadjncons.lt.-1.e-6)then
@@ -369,11 +312,11 @@
             print*,'zh2(ig,:)        = ',zh2(i,l)
          end do
-         do l = 1, nlay
-            print*,'zq(ig,:,vap)     = ',zq(i,l,igcm_h2o_vap)
-         end do
-         do l = 1, nlay
-            print*,'zq2(ig,:,vap)    = ',zq2(i,l,igcm_h2o_vap)
-         end do
-            print*,'zqm(vap)         = ',zqm(igcm_h2o_vap)
+!         do l = 1, nlay
+!            print*,'zq(ig,:,vap)     = ',zq(i,l,igcm_h2o_vap)
+!         end do
+!         do l = 1, nlay
+!            print*,'zq2(ig,:,vap)    = ',zq2(i,l,igcm_h2o_vap)
+!         end do
+!            print*,'zqm(vap)         = ',zqm(igcm_h2o_vap)
             print*,'jadrs=',jadrs
 
Index: /trunk/LMDZ.TITAN/libf/phytitan/gases_h.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/gases_h.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/gases_h.F90	(revision 1647)
@@ -19,19 +19,10 @@
       ! in analogy with tracer.h ...
       integer :: igas_H2
-      integer :: igas_He
-      integer :: igas_H2O
-      integer :: igas_CO2
-      integer :: igas_CO
       integer :: igas_N2
-      integer :: igas_O2
-      integer :: igas_SO2
-      integer :: igas_H2S
       integer :: igas_CH4
-      integer :: igas_NH3
       integer :: igas_C2H2
       integer :: igas_C2H6
 !!$OMP THREADPRIVATE(ngasmx,vgas,gnom,gfrac,&
-!	!$OMP igas_H2,igas_He,igas_H2O,igas_CO2,igas_CO,igas_N2,&
-!	!$OMP igas_O2,igas_SO2,igas_H2S,igas_CH4,igas_NH3,igas_C2H2,igas_C2H6)
+!	!$OMP igas_H2,igas_N2,igas_CH4,igas_C2H2,igas_C2H6)
 
       end module gases_h
Index: /trunk/LMDZ.TITAN/libf/phytitan/iniaerosol.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/iniaerosol.F	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/iniaerosol.F	(revision 1647)
@@ -4,6 +4,5 @@
       use radinc_h, only: naerkind
       use aerosol_mod
-      use callkeys_mod, only: aeroco2,aeroh2o,dusttau,aeroh2so4,
-     &		aeroback2lay
+      use callkeys_mod, only: aeroback2lay
 
       IMPLICIT NONE
@@ -22,28 +21,5 @@
 
       ia=0
-      if (aeroco2) then
-         ia=ia+1
-         iaero_co2=ia
-      endif
-      write(*,*) '--- CO2 aerosol = ', iaero_co2
- 
-      if (aeroh2o) then
-         ia=ia+1
-         iaero_h2o=ia
-      endif
-      write(*,*) '--- H2O aerosol = ', iaero_h2o
-
-      if (dusttau.gt.0) then
-         ia=ia+1
-         iaero_dust=ia
-      endif
-      write(*,*) '--- Dust aerosol = ', iaero_dust
-
-      if (aeroh2so4) then
-         ia=ia+1
-         iaero_h2so4=ia
-      endif
-      write(*,*) '--- H2SO4 aerosol = ', iaero_h2so4
-      
+       
       if (aeroback2lay) then
          ia=ia+1
@@ -59,7 +35,6 @@
 
       if (ia.eq.0) then  !For the zero aerosol case. 
+         noaero = .true.
          ia = 1
-         noaero = .true.
-         iaero_co2=ia
       endif
 
Index: /trunk/LMDZ.TITAN/libf/phytitan/inifis_mod.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/inifis_mod.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/inifis_mod.F90	(revision 1647)
@@ -235,9 +235,4 @@
      call getin_p("continuum",continuum)
      write(*,*) " continuum = ",continuum
-
-     write(*,*) "use analytic function for H2O continuum ?"
-     H2Ocont_simple=.false. ! default value
-     call getin_p("H2Ocont_simple",H2Ocont_simple)
-     write(*,*) " H2Ocont_simple = ",H2Ocont_simple
  
      write(*,*) "call turbulent vertical diffusion ?"
@@ -255,19 +250,4 @@
      call getin_p("calladj",calladj)
      write(*,*) " calladj = ",calladj
-
-     write(*,*) "call CO2 condensation ?"
-     co2cond=.false. ! default value
-     call getin_p("co2cond",co2cond)
-     write(*,*) " co2cond = ",co2cond
-! Test of incompatibility
-     if (co2cond.and.(.not.tracer)) then
-        print*,'We need a CO2 ice tracer to condense CO2'
-        call abort
-     endif 
- 
-     write(*,*) "CO2 supersaturation level ?"
-     co2supsat=1.0 ! default value
-     call getin_p("co2supsat",co2supsat)
-     write(*,*) " co2supsat = ",co2supsat
 
      write(*,*) "Radiative timescale for Newtonian cooling ?"
@@ -313,9 +293,4 @@
      write(*,*)" specOLR = ",specOLR
 
-     write(*,*)"Operate in kastprof mode?"
-     kastprof=.false.
-     call getin_p("kastprof",kastprof)
-     write(*,*)" kastprof = ",kastprof
-
      write(*,*)"Uniform absorption in radiative transfer?"
      graybody=.false.
@@ -339,39 +314,4 @@
      write(*,*)" alpha_soil = ",alpha_soil
 
-! Slab Ocean 
-     write(*,*) "Use slab-ocean ?"
-     ok_slab_ocean=.false.         ! default value
-     call getin_p("ok_slab_ocean",ok_slab_ocean)
-     write(*,*) "ok_slab_ocean = ",ok_slab_ocean
-     ! Sanity check: for now slab oncean only works in serial mode
-     if (ok_slab_ocean.and.is_parallel) then
-       write(*,*) " Error: slab ocean should only be used in serial mode!"
-       call abort
-     endif
-
-     write(*,*) "Use slab-sea-ice ?"
-     ok_slab_sic=.true.         ! default value
-     call getin_p("ok_slab_sic",ok_slab_sic)
-     write(*,*) "ok_slab_sic = ",ok_slab_sic
-
-     write(*,*) "Use heat transport for the ocean ?"
-     ok_slab_heat_transp=.true.   ! default value
-     call getin_p("ok_slab_heat_transp",ok_slab_heat_transp)
-     write(*,*) "ok_slab_heat_transp = ",ok_slab_heat_transp
-
-
-
-! Test of incompatibility:
-! if kastprof used, we must be in 1D
-     if (kastprof.and.(ngrid.gt.1)) then
-       print*,'kastprof can only be used in 1D!'
-       call abort
-     endif
-
-     write(*,*)"Stratospheric temperature for kastprof mode?"
-     Tstrat=167.0
-     call getin_p("Tstrat",Tstrat)
-     write(*,*)" Tstrat = ",Tstrat
-
      write(*,*)"Remove lower boundary?"
      nosurf=.false.
@@ -441,28 +381,4 @@
 ! TRACERS:
 
-     write(*,*)"Varying H2O cloud fraction?"
-     CLFvarying=.false.     ! default value
-     call getin_p("CLFvarying",CLFvarying)
-     write(*,*)" CLFvarying = ",CLFvarying
-
-     write(*,*)"Value of fixed H2O cloud fraction?"
-     CLFfixval=1.0                ! default value
-     call getin_p("CLFfixval",CLFfixval)
-     write(*,*)" CLFfixval = ",CLFfixval
-
-     write(*,*)"fixed radii for Cloud particles?"
-     radfixed=.false. ! default value
-     call getin_p("radfixed",radfixed)
-     write(*,*)" radfixed = ",radfixed
-
-     if(kastprof)then
-        radfixed=.true.
-     endif  
-
-     write(*,*)"Number mixing ratio of CO2 ice particles:"
-     Nmix_co2=1.e6 ! default value
-     call getin_p("Nmix_co2",Nmix_co2)
-     write(*,*)" Nmix_co2 = ",Nmix_co2
-
 !         write(*,*)"Number of radiatively active aerosols:"
 !         naerkind=0. ! default value
@@ -470,34 +386,5 @@
 !         write(*,*)" naerkind = ",naerkind
 
-     write(*,*)"Opacity of dust (if used):"
-     dusttau=0. ! default value
-     call getin_p("dusttau",dusttau)
-     write(*,*)" dusttau = ",dusttau
-
-     write(*,*)"Radiatively active CO2 aerosols?"
-     aeroco2=.false.     ! default value
-     call getin_p("aeroco2",aeroco2)
-     write(*,*)" aeroco2 = ",aeroco2
-
-     write(*,*)"Fixed CO2 aerosol distribution?"
-     aerofixco2=.false.     ! default value
-     call getin_p("aerofixco2",aerofixco2)
-     write(*,*)" aerofixco2 = ",aerofixco2
-
-     write(*,*)"Radiatively active water ice?"
-     aeroh2o=.false.     ! default value
-     call getin_p("aeroh2o",aeroh2o)
-     write(*,*)" aeroh2o = ",aeroh2o
-
-     write(*,*)"Fixed H2O aerosol distribution?"
-     aerofixh2o=.false.     ! default value
-     call getin_p("aerofixh2o",aerofixh2o)
-     write(*,*)" aerofixh2o = ",aerofixh2o
-
-     write(*,*)"Radiatively active sulfuric acid aersols?"
-     aeroh2so4=.false.     ! default value
-     call getin_p("aeroh2so4",aeroh2so4)
-     write(*,*)" aeroh2so4 = ",aeroh2so4
-	 
+ 
 !=================================
 
@@ -553,20 +440,4 @@
 !=================================
 
-     write(*,*)"Cloud pressure level (with kastprof only):"
-     cloudlvl=0. ! default value
-     call getin_p("cloudlvl",cloudlvl)
-     write(*,*)" cloudlvl = ",cloudlvl
-
-     write(*,*)"Is the variable gas species radiatively active?"
-     Tstrat=167.0
-     varactive=.false.
-     call getin_p("varactive",varactive)
-     write(*,*)" varactive = ",varactive
-
-     write(*,*)"Is the variable gas species distribution set?"
-     varfixed=.false.
-     call getin_p("varfixed",varfixed)
-     write(*,*)" varfixed = ",varfixed
-
      write(*,*)"What is the saturation % of the variable species?"
      satval=0.8
@@ -574,87 +445,8 @@
      write(*,*)" satval = ",satval
 
-
-! Test of incompatibility:
-! if varactive, then varfixed should be false
-     if (varactive.and.varfixed) then
-       print*,'if varactive, varfixed must be OFF!'
-       stop
-     endif
-
      write(*,*) "Gravitationnal sedimentation ?"
      sedimentation=.false. ! default value
      call getin_p("sedimentation",sedimentation)
-     write(*,*) " sedimentation = ",sedimentation
-
-     write(*,*) "Compute water cycle ?"
-     water=.false. ! default value
-     call getin_p("water",water)
-     write(*,*) " water = ",water
-         
-! Test of incompatibility:
-! if water is true, there should be at least a tracer
-     if (water.and.(.not.tracer)) then
-        print*,'if water is ON, tracer must be ON too!'
-        stop
-     endif
-
-     write(*,*) "Include water condensation ?"
-     watercond=.false. ! default value
-     call getin_p("watercond",watercond)
-     write(*,*) " watercond = ",watercond
-
-! Test of incompatibility:
-! if watercond is used, then water should be used too
-     if (watercond.and.(.not.water)) then
-        print*,'if watercond is used, water should be used too'
-        stop
-     endif
-
-     write(*,*) "Include water precipitation ?"
-     waterrain=.false. ! default value
-     call getin_p("waterrain",waterrain)
-     write(*,*) " waterrain = ",waterrain
-
-     write(*,*) "Include surface hydrology ?"
-     hydrology=.false. ! default value
-     call getin_p("hydrology",hydrology)
-     write(*,*) " hydrology = ",hydrology
-
-     write(*,*) "Evolve surface water sources ?"
-     sourceevol=.false. ! default value
-     call getin_p("sourceevol",sourceevol)
-     write(*,*) " sourceevol = ",sourceevol
-
-     write(*,*) "Ice evolution timestep ?"
-     icetstep=100.0 ! default value
-     call getin_p("icetstep",icetstep)
-     write(*,*) " icetstep = ",icetstep
-         
-     write(*,*) "Spectral Dependant albedo ?"
-     albedo_spectral_mode=.false. ! default value
-     call getin_p("albedo_spectral_mode",albedo_spectral_mode)
-     write(*,*) " albedo_spectral_mode = ",albedo_spectral_mode
-
-     write(*,*) "Snow albedo ?"
-     write(*,*) "If albedo_spectral_mode=.true., then this "
-     write(*,*) "corresponds to the 0.5 microns snow albedo."
-     albedosnow=0.5         ! default value
-     call getin_p("albedosnow",albedosnow)
-     write(*,*) " albedosnow = ",albedosnow
-         
-     write(*,*) "CO2 ice albedo ?"
-     albedoco2ice=0.5       ! default value
-     call getin_p("albedoco2ice",albedoco2ice)
-     write(*,*) " albedoco2ice = ",albedoco2ice
-
-     write(*,*) "Maximum ice thickness ?"
-     maxicethick=2.0         ! default value
-     call getin_p("maxicethick",maxicethick)
-     write(*,*) " maxicethick = ",maxicethick
-
-     write(*,*) "Freezing point of seawater ?"
-     Tsaldiff=-1.8          ! default value
-     call getin_p("Tsaldiff",Tsaldiff)
-     write(*,*) " Tsaldiff = ",Tsaldiff
+     write(*,*) " sedimentation = ",sedimentation       
 
      write(*,*) "Does user want to force cpp and mugaz?"
Index: /trunk/LMDZ.TITAN/libf/phytitan/initracer.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/initracer.F	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/initracer.F	(revision 1647)
@@ -3,5 +3,4 @@
       use surfdat_h
       USE tracer_h
-      USE callkeys_mod, only: water
       IMPLICIT NONE
 c=======================================================================
@@ -25,5 +24,4 @@
 
 !      real qsurf(ngrid,nq)       ! tracer on surface (e.g.  kg.m-2)
-!      real co2ice(ngrid)           ! co2 ice mass on surface (e.g.  kg.m-2)
       character(len=20) :: txt ! to store some text
       integer iq,ig,count
@@ -40,6 +38,4 @@
 c  alpha_lift(nq)  ! saltation vertical flux/horiz flux ratio (m-1)
 c  alpha_devil(nq) ! lifting coeeficient by dust devil
-c  rho_dust          ! Mars dust density
-c  rho_ice           ! Water ice density
 c  doubleq           ! if method with mass (iq=1) and number(iq=2) mixing ratio
 c  varian            ! Characteristic variance of log-normal distribution
@@ -76,12 +72,4 @@
       ! 0. initialize tracer indexes to zero:
       ! NB: igcm_* indexes are commons in 'tracer.h'
-      do iq=1,nq
-        igcm_dustbin(iq)=0
-      enddo
-      igcm_dust_mass=0
-      igcm_dust_number=0
-      igcm_h2o_vap=0
-      igcm_h2o_ice=0
-      igcm_co2=0
       igcm_co=0
       igcm_o=0
@@ -97,5 +85,4 @@
       igcm_ar=0
       igcm_ar_n2=0
-      igcm_co2_ice=0
 
       write(*,*) 'initracer: noms() ', noms
@@ -133,31 +120,5 @@
 !      endif ! of if (doubleq)
       ! 2. find chemistry and water tracers
-      do iq=1,nq
-        if (noms(iq).eq."co2") then
-          igcm_co2=iq
-          mmol(igcm_co2)=44.
-          count=count+1
-!          write(*,*) 'co2: count=',count
-        endif
-        if (noms(iq).eq."co2_ice") then
-          igcm_co2_ice=iq
-          mmol(igcm_co2_ice)=44.
-          count=count+1
-!          write(*,*) 'co2_ice: count=',count
-        endif
-        if (noms(iq).eq."h2o_vap") then
-          igcm_h2o_vap=iq
-          mmol(igcm_h2o_vap)=18.
-          count=count+1
-!          write(*,*) 'h2o_vap: count=',count
-        endif
-        if (noms(iq).eq."h2o_ice") then
-          igcm_h2o_ice=iq
-          mmol(igcm_h2o_ice)=18.
-          count=count+1
-!          write(*,*) 'h2o_ice: count=',count
-        endif
-      enddo ! of do iq=1,nq
-      
+     
       ! check that we identified all tracers:
       if (count.ne.nq) then
@@ -181,148 +142,4 @@
       call zerophys(nq,rho_q)
 
-      rho_dust=2500.  ! Mars dust density (kg.m-3)
-      rho_ice=920.    ! Water ice density (kg.m-3)
-      rho_co2=1620.   ! CO2 ice density (kg.m-3)
-
-
-
-c$$$      if (doubleq) then
-c$$$c       "doubleq" technique 
-c$$$c       -------------------
-c$$$c      (transport of mass and number mixing ratio)
-c$$$c       iq=1: Q mass mixing ratio, iq=2: N number mixing ratio
-c$$$
-c$$$        if( (nq.lt.2).or.(water.and.(nq.lt.3)) ) then
-c$$$          write(*,*)'initracer: nq is too low : nq=', nq
-c$$$          write(*,*)'water= ',water,' doubleq= ',doubleq   
-c$$$        end if
-c$$$
-c$$$        varian=0.637    ! Characteristic variance    
-c$$$        qext(igcm_dust_mass)=3.04   ! reference extinction at 0.67 um for ref dust
-c$$$        qext(igcm_dust_number)=3.04 ! reference extinction at 0.67 um for ref dust
-c$$$        rho_q(igcm_dust_mass)=rho_dust
-c$$$        rho_q(igcm_dust_number)=rho_dust
-c$$$
-c$$$c       Intermediate calcul for computing geometric mean radius r0
-c$$$c       as a function of mass and number mixing ratio Q and N
-c$$$c       (r0 = (r3n_q * Q/ N)
-c$$$        r3n_q = exp(-4.5*varian**2)*(3./4.)/(pi*rho_dust)
-c$$$
-c$$$c       Intermediate calcul for computing effective radius reff
-c$$$c       from geometric mean radius r0
-c$$$c       (reff = ref_r0 * r0)
-c$$$        ref_r0 = exp(2.5*varian**2)
-c$$$        
-c$$$c       lifted dust :
-c$$$c       '''''''''''
-c$$$        reff_lift = 3.e-6      !  Effective radius of lifted dust (m)
-c$$$        alpha_devil(igcm_dust_mass)=9.e-9   !  dust devil lift mass coeff
-c$$$        alpha_lift(igcm_dust_mass)=3.0e-15  !  Lifted mass coeff
-c$$$
-c$$$        r0_lift = reff_lift/ref_r0
-c$$$        alpha_devil(igcm_dust_number)=r3n_q*
-c$$$     &                        alpha_devil(igcm_dust_mass)/r0_lift**3
-c$$$        alpha_lift(igcm_dust_number)=r3n_q*
-c$$$     &                        alpha_lift(igcm_dust_mass)/r0_lift**3
-c$$$
-c$$$c       Not used:
-c$$$        radius(igcm_dust_mass) = 0.
-c$$$        radius(igcm_dust_number) = 0.
-c$$$
-c$$$      else
-
-
-c$$$       if (dustbin.gt.1) then
-c$$$        print*,'ATTENTION:',
-c$$$     $   ' properties of dust need input in initracer !!!'
-c$$$        stop
-c$$$
-c$$$       else if (dustbin.eq.1) then
-c$$$
-c$$$c       This will be used for 1 dust particle size:
-c$$$c       ------------------------------------------
-c$$$        radius(igcm_dustbin(1))=3.e-6
-c$$$        Qext(igcm_dustbin(1))=3.04
-c$$$        alpha_lift(igcm_dustbin(1))=0.0e-6
-c$$$        alpha_devil(igcm_dustbin(1))=7.65e-9
-c$$$        qextrhor(igcm_dustbin(1))=(3./4.)*Qext(igcm_dustbin(1))
-c$$$     &                         /(rho_dust*radius(igcm_dustbin(1)))
-c$$$        rho_q(igcm_dustbin(1))=rho_dust
-c$$$
-c$$$       endif
-c$$$!      end if    ! (doubleq)
-
-c     Initialization for water vapor
-c     ------------------------------
-      if(water) then
-         radius(igcm_h2o_vap)=0.
-         Qext(igcm_h2o_vap)=0.
-         alpha_lift(igcm_h2o_vap) =0.
-         alpha_devil(igcm_h2o_vap)=0.
-	 qextrhor(igcm_h2o_vap)= 0.
-
-c       "Dryness coefficient" controlling the evaporation and
-c        sublimation from the ground water ice (close to 1)
-c        HERE, the goal is to correct for the fact
-c        that the simulated permanent water ice polar caps
-c        is larger than the actual cap and the atmospheric
-c        opacity not always realistic.
-
-
-!         if(ngrid.eq.1)
-
-
-!     to be modified for BC+ version?
-
-         !! this is defined in surfdat_h.F90
-         IF (.not.ALLOCATED(dryness)) ALLOCATE(dryness(ngrid))
-         IF (.not.ALLOCATED(watercaptag)) ALLOCATE(watercaptag(ngrid))
-
-         do ig=1,ngrid
-           if (ngrid.ne.1) watercaptag(ig)=.false.
-           dryness(ig) = 1.
-         enddo
-
-
-
-
-!         IF (caps) THEN
-c Perennial H20 north cap defined by watercaptag=true (allows surface to be
-c hollowed by sublimation in vdifc).
-!         do ig=1,ngrid
-!           if (lati(ig)*180./pi.gt.84) then
-!             if (ngrid.ne.1) watercaptag(ig)=.true.
-!             dryness(ig) = 1.
-c Use the following cap definition for high spatial resolution (latitudinal bin <= 5 deg)
-c	      if (lati(ig)*180./pi.lt.85.and.long(ig).ge.0) then
-c	        if (ngrid.ne.1) watercaptag(ig)=.true.
-c               dryness(ig) = 1.
-c	      endif
-c             if (lati(ig)*180./pi.ge.85) then
-c               if (ngrid.ne.1) watercaptag(ig)=.true.
-c               dryness(ig) = 1.
-c	      endif
-!           endif  ! (lati>80 deg)
-!         end do ! (ngrid)
-!        ENDIF ! (caps)
-
-!         if(iceparty.and.(nq.ge.2)) then
-
-           radius(igcm_h2o_ice)=3.e-6
-           rho_q(igcm_h2o_ice)=rho_ice
-           Qext(igcm_h2o_ice)=0.
-!           alpha_lift(igcm_h2o_ice) =0.
-!           alpha_devil(igcm_h2o_ice)=0.
-           qextrhor(igcm_h2o_ice)= (3./4.)*Qext(igcm_h2o_ice) 
-     $       / (rho_ice*radius(igcm_h2o_ice))
-
-
-
-!         elseif(iceparty.and.(nq.lt.2)) then
-!            write(*,*) 'nq is too low : nq=', nq
-!            write(*,*) 'water= ',water,' iceparty= ',iceparty
-!         endif
-
-      end if  ! (water)
 
 c     Output for records:
Index: /trunk/LMDZ.TITAN/libf/phytitan/iostart.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/iostart.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/iostart.F90	(revision 1647)
@@ -15,5 +15,4 @@
     INTEGER,SAVE :: idim6 ! "nlayer" dimension
     INTEGER,SAVE :: idim7 ! "Time" dimension
-    INTEGER,SAVE :: idim8 ! "ocean_layers" dimension
     INTEGER,SAVE :: timeindex ! current time index (for time-dependent fields)
 !$OMP THREADPRIVATE(idim1,idim2,idim3,idim4,idim5,idim6,idim7,timeindex)
@@ -469,5 +468,4 @@
   USE tracer_h, only: nqtot
   USE comsoil_h, only: nsoilmx
-  USE slab_ice_h, only: noceanmx
 
   IMPLICIT NONE
@@ -558,12 +556,4 @@
       ENDIF
 
-      ierr=NF90_DEF_DIM(nid_restart,"ocean_layers",noceanmx,idim8)
-      IF (ierr/=NF90_NOERR) THEN
-        write(*,*)'open_restartphy: problem defining oceanic layer dimension '
-        write(*,*)trim(nf90_strerror(ierr))
-        CALL ABORT
-      ENDIF
-
-
       ierr=NF90_ENDDEF(nid_restart)
       IF (ierr/=NF90_NOERR) THEN
@@ -646,5 +636,4 @@
   USE mod_grid_phy_lmdz
   USE mod_phys_lmdz_para
-  USE slab_ice_h, only: noceanmx
   IMPLICIT NONE
   CHARACTER(LEN=*),INTENT(IN)    :: field_name
@@ -832,48 +821,4 @@
         endif ! of if (.not.present(time))
 
-      ELSE IF (field_size==noceanmx) THEN
-        ! input is a 2D "oceanic field" array
-        if (.not.present(time)) then ! for a time-independent field
-          ierr = NF90_REDEF(nid_restart)
-#ifdef NC_DOUBLE
-          ierr=NF90_DEF_VAR(nid_restart,field_name,NF90_DOUBLE,&
-                            (/idim2,idim8/),nvarid)
-#else
-          ierr=NF90_DEF_VAR(nid_restart,field_name,NF90_FLOAT,&
-                            (/idim2,idim8/),nvarid)
-#endif
-          if (ierr.ne.NF90_NOERR) then
-            write(*,*)"put_field_rgen error: failed to define "//trim(field_name)
-            write(*,*)trim(nf90_strerror(ierr))
-          endif
-          IF (LEN_TRIM(title) > 0) ierr=NF90_PUT_ATT(nid_restart,nvarid,"title",title)
-          ierr = NF90_ENDDEF(nid_restart)
-          ierr = NF90_PUT_VAR(nid_restart,nvarid,field_glo)
-        else
-          ! check if the variable has already been defined:
-          ierr=NF90_INQ_VARID(nid_restart,field_name,nvarid)
-          if (ierr/=NF90_NOERR) then ! variable not found, define it
-            ierr=NF90_REDEF(nid_restart)
-#ifdef NC_DOUBLE
-            ierr=NF90_DEF_VAR(nid_restart,field_name,NF90_DOUBLE,&
-                              (/idim2,idim8,idim7/),nvarid)
-#else
-            ierr=NF90_DEF_VAR(nid_restart,field_name,NF90_FLOAT,&
-                              (/idim2,idim8,idim7/),nvarid)
-#endif
-           if (ierr.ne.NF90_NOERR) then
-              write(*,*)"put_field_rgen error: failed to define "//trim(field_name)
-              write(*,*)trim(nf90_strerror(ierr))
-            endif
-            IF (LEN_TRIM(title) > 0) ierr=NF90_PUT_ATT(nid_restart,nvarid,"title",title)
-            ierr=NF90_ENDDEF(nid_restart)
-          endif
-          ! Write the variable
-          ierr=NF90_PUT_VAR(nid_restart,nvarid,field_glo,&
-                            start=(/1,1,timeindex/))
-
-        endif ! of if (.not.present(time))
-
-
       ELSE
         PRINT *, "Error phyredem(put_field_rgen) : wrong dimension for ",trim(field_name)
@@ -948,5 +893,4 @@
   USE comsoil_h, only: nsoilmx
   USE mod_phys_lmdz_para, only: is_master
-  USE slab_ice_h, only: noceanmx
   IMPLICIT NONE
      CHARACTER(LEN=*),INTENT(IN) :: var_name
@@ -1000,7 +944,4 @@
         ! We know it is an  "mlayer" kind of 1D array
         idim1d=idim3
-      ELSEIF (var_size==noceanmx) THEN
-        ! We know it is an  "mlayer" kind of 1D array
-        idim1d=idim8
       ELSE 
         PRINT *, "put_var_rgen error : wrong dimension"
